package de.bsvrz.sys.funclib.bitctrl.modell.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target(value = ElementType.TYPE)
@Retention(value = RetentionPolicy.RUNTIME)
@Documented
public @interface Wertebereich {

	long minimum();

	long maximum() default Long.MAX_VALUE;

	double skalierung() default 1.0;

	String einheit() default "";

}
